## LassoSaml2AttributeValue

LassoSaml2AttributeValue — value of an attribute in a SAML 2.0 assertion

## Functions

LassoSaml2AttributeValue * | lasso_saml2_attribute_value_new ()

## Types and Values

struct | LassoSaml2AttributeValue

## Description

Figure 48. Schema fragment from saml-schema-assertion-2.0.xsd)

    <element name="AttributeValue" type="anyType" nillable="true"/>

This object support a special of specifying its content. If the `any` attribute is `NULL`, then you can attach an xmlNode using `lasso_node_set_original_xmlnode()` and it will be used to generate the content of the serialized

xmlNode for this object. The content (attributes, childrent and namespaces) of the

node will be copied to the result node created by a call to `lasso_node_get_xmlNode()`.

## Functions

### lasso_saml2_attribute_value_new ()

    LassoSaml2AttributeValue *
    lasso_saml2_attribute_value_new (void);

## Types and Values

### struct LassoSaml2AttributeValue

    struct LassoSaml2AttributeValue {
    	LassoNode parent;

    	GList *any; /* of LassoNode */
    };

## See Also

LassoSaml2Attribute, LassoSaml2AttributeStatement, LassoSaml2Assertion